mate-notification-daemon (1.26.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1052565).
    - daemon: fix memory leak.
    - mnd-daemon: fix memory leak.
  * debian/patches:
    + Drop 1000_add-AssumedAppArmorLabel.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Exclude libgtk-layer-shell-dev from B-Ds when building on/for GNU/Hurd.
      (Closes: #1020904).
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/rules:
    + Set libexecdir to /usr/libexec/mate-notification-daemon.
  * debian/mate-notification-daemon.install:
    + Also install files now placed into /usr/libexec/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Sep 2023 22:23:43 +0200

mate-notification-daemon (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Dependencies updated for MATE 1.26.
  * debian/*.install:
    + Updated for MATE 1.26.
  * debian/patches:
    + Add 1000_add-AssumedAppArmorLabel.patch. (LP: #1945234)

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Dec 2021 21:40:50 +0100

mate-notification-daemon (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Filter out html tags in notifications. (Closes: #903597).

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
    + Switch B-D from libxml2-utils to libxml2-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 14:32:51 +0200

mate-notification-daemon (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Update versioned B-D on mate-common (>= 1.24.0-1~).
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 1000_do_not_disturb.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B-D libxml2-utils.
  * debian/mate-notification-daemon-common.install:
    + Drop obsolete reference to usr/share/mate-notification-daemon/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Feb 2020 20:28:55 +0100

mate-notification-daemon (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 1001_notification_hints.patch. Applied upstream.
    + Rebase 1000_do_not_disturb.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 00:28:37 +0200

mate-notification-daemon (1.22.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 1000_do_not_disturb.patch. Add do-not-disturb setting.
    + Rebase 1000_do_not_disturb.patch. Add missing user interface to enable do
      not disturb.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Sep 2019 16:21:23 +0200

mate-notification-daemon (1.22.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + 1001_convert-gvfs-open-to-gio-open.patch. Applied upstream.
  * debian/control:
    + Updated for MATE Desktop 1.22
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jul 2019 23:49:28 +0200

mate-notification-daemon (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + White-space clean-up at EOF.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Jan 2019 10:28:38 +0100

mate-notification-daemon (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 18:18:54 +0200

mate-notification-daemon (1.20.0-2) unstable; urgency=medium

  * debian/copyright:
    + Use secure URI for copyright format.
  * debian/patches:
    + Add 1001_convert-gvfs-open-to-gio-open.patch. Replace deprecated call
      to gvfs-open by call to "gio open".
  * debian/control:
    + Add D (mate-notification-daemon): libglib2.0-bin (for gio cmdline tool).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 13:28:54 +0200

mate-notification-daemon (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2018 16:56:48 +0100

mate-notification-daemon (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:56 +0000

mate-notification-daemon (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 23:26:40 +0000

mate-notification-daemon (1.18.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_fix_high_cpu_usage_with_large_timeouts.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Nov 2017 09:59:55 +0100

mate-notification-daemon (1.18.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_high_cpu_usage_with_large_timeouts.patch. (LP:
      #1450804).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 16:02:14 +0200

mate-notification-daemon (1.18.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.

  [ Aron Xu ]
  * New upstream release.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

  [ Mike Gabriel ]
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 10:43:29 +0200

mate-notification-daemon (1.16.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix bold formatting in markup parser. (Closes: #846523).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Dec 2016 09:31:57 +0100

mate-notification-daemon (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (Closes: #769968).

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: libgtk-3-dev (>= 3.14).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2016 22:52:32 +0200

mate-notification-daemon (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

mate-notification-daemon (1.14.1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Jul 2016 12:34:23 +0200

mate-notification-daemon (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Use encrypted URLs for Vcs-*: field.
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/mate-notification-daemon-common.install:
    + MateConf dropped upstream.
  * debian/control:
    + B-D: libcanberra-gtk3-dev
    + B-D: libgtk-3-dev
    + B-D: libwnck-3-dev.
    + Versioned B-D: mate-common (>= 1.14)
    + Bump Standards: to 3.9.7. No changes needed.
  * debian/rules:
    + Add --with-gtk=3.0
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 May 2016 11:44:23 +0200

mate-notification-daemon (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12).

  [ Mike Gabriel ]
  * debian/copyright:
    + Fix one comment where the Comment: field identifier was missing.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Dec 2015 14:51:37 +0100

mate-notification-daemon (1.10.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Update descriptions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Oct 2015 04:55:49 +0200

mate-notification-daemon (1.10.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2015 11:34:34 +0200

mate-notification-daemon (1.10.0-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add bin:package mate-notification-daemon-common.
  * debian/mate-notification-daemon.install
    + Remove entries now in mate-notification-deamon-common.install.
  * debian/rules:
    + Add --disable-static and --with-gtk=2.0.
  * Whitespace cleanup.
  * Processed with wrap-and-sort.

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jun 2015 10:10:02 +0200

mate-notification-daemon (1.8.2-2) unstable; urgency=medium

  * Re-upload to unstable (debian/1.8.2-2).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 May 2015 05:58:07 +0200

mate-notification-daemon (1.8.2-1) experimental; urgency=medium

  * New upstream release.
    - Including GLib >= 2.43 compatibility patch. (Closes: #778809,
      LP:#1426327).
  * debian/patches:
    + Drop 0001_segfaults-in-notify-stack-set-location.patch. Included in
      latest upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Mar 2015 11:51:40 +0100

mate-notification-daemon (1.8.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_segfaults-in-notify-stack-set-location.patch. Prevent from
      sometimes segfaulting in notify_stack_set_location. (Closes: #778835).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Mar 2015 06:11:35 +0100

mate-notification-daemon (1.8.1-2) unstable; urgency=medium

  * debian/rules:
    - Install mate-notification-daemon executable to non-multi-arch
      libexecdir. (Closes: #769419).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Dec 2014 11:13:40 +0100

mate-notification-daemon (1.8.1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing
    + Remove non-packaged *.a files after build.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Add Vangelis Mouthsis to Uploaders: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/copyright:
    + Really mention all upstream files.
    + Remove information for files not shipped in upstream sources anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 13:20:03 +0200

mate-notification-daemon (1.8.0-2) unstable; urgency=low

  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
    + Fix cleaning up of unwanted .la files during build.
  * debian/control:
    + Improve LONG_DESCRIPTION of dbg:package
  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
  * man pages:
    + Use mate-notification-properties man page as provided by upstream
      since 1.8.0.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2014 10:24:53 +0200

mate-notification-daemon (1.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
  * debian/copyright:
    + Adapt to files in new upstream tarball.
  * debian/control:
    + Replace B-D libmatewnck-dev with libwnck-dev.
    + Drop B-D: dh-autoreconf.
  * debian/patches:
    + Drop patch: 1001_lacking-keyword-entry-in-desktop-file.patch. Fixed upstream.
  * lintian:
    + Drop unused overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2014 13:38:42 +0100

mate-notification-daemon (1.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #733036).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2014 10:31:01 +0100
